Page MenuHomePhabricator

CL support for Collab Team Maps engagement
Closed, ResolvedPublic

Description

What is the problem?
Collaboration Team has been assigned to work on maps, in part in response to the winning Community Wishlist item this year about maps. This project requires careful communication to 1) get good feedback from the Maps community about their priorities, 2) ensure that community expectations for this limited engagement are realistic, and 3) manage the many planned feature releases.

How does success of this task look like? How do we know when we are done?
This is a limited engagement which is meant to be finished by the end of Q4 (June), insofar as that deadline is consistent with the goals stated below.

Is there any goal, program, project, team related with this request? Please provide links and use the corresponding Phabricator tags when available.
The goals of the project are as follows:

  1. Serve the maps community by completing the main two Wishlist items and as many of the remaining items as are 1) possible in the time frame and 2) valid.
  2. After appropriate consultations, launch mapframe on en.wiki.
  3. Fix any issues that need fixing so that maps can continue next year with an expanded audience but minimal staffing.

What is your expected timeline from start to end? Is there a hard deadline?
As above, the end of Q4.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 6 2018, 10:11 PM

Thanks for filing this. Will triage ASAP.

@CKoerner_WMF, I see you claimed this task. Does that mean you have the assignment of supporting this Collab team engagement? If so, welcome aboard!

Yep, I'll help you out with helping communicate the team's plans and community's feedback. :)

In T186651#3953731, @CKoerner_WMF wrote:

Yep, I'll help you out with helping communicate the team's plans and community's feedback. :)

OK I'll set up a meeting so we can make some plans. We can talk then about how, how much and when to integrate you more into our communications/operations.

CKoerner_WMF triaged this task as High priority.Feb 7 2018, 9:08 PM
CKoerner_WMF lowered the priority of this task from High to Medium.

Along with updating the VisualEditor user guide T188789 (which I plan on working on in April as we get closer to potentially approaching more wikis with the feature) @jmatazzoni and I talked about updating the rest of the Maps documentation. I put together a page of maps documentation to start with: https://www.mediawiki.org/wiki/User:CKoerner_(WMF)/Map_links

Joe will ask the engineering folks to look over the technical documentation to make sure it's updated.

I'll be looking at the user facing documentation and most likely will combine most of the 'how to' information into a new Help:Maps page. One location, marked for translation sounds a little more ideal than all the good documentation we have kinda spread about.

CKoerner_WMF raised the priority of this task from Medium to High.Apr 4 2018, 8:47 PM
CKoerner_WMF lowered the priority of this task from High to Medium.

I expect this and related tasks to be resolved soon.

CKoerner_WMF closed this task as Resolved.Aug 6 2018, 3:35 PM

Satisfaction survey reply received.